Webhook Subscription Last Delivery Statuses

GET
/v1/webhooks/{webhookSubscriptionId}/delivery-status

Get the latest delivery statuses of a Webhook Subscription.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

webhookSubscriptionId*string
Formatuuid

Response Body

The Latest Delivery Statuses of a Webhook Subscription

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/webhooks/{webhookSubscriptionId}/delivery-status' \  -H 'Authorization: <API token>'
{
"data": [
{
"event": "ConversationCreated",
"deliveryStatus": {
"deliveryTimestamp": "2023-09-15T12:00:00.000Z",
"success": true,
"responseCode": 200,
"responseText": "OK",
"_type": "DeliveryDetail"
}
},
{
"event": "ConversationClosed",
"deliveryStatus": {
"_type": "NoRecentDelivery"
}
}
]
}